[API] PlayerVersion 1.3.0-SNAPSHOT

Get the version of Minecraft clients

  1. inventivetalent
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    This API allows you to get the version of Minecraft clients.

    Usage
    Code (Java):

    //Create a new instance for your plugin
    IPlayerVersion playerVersion = PlayerVersion.newInstance(this/* Your plugin instance */);

    //Get the version for "myPlayer"
    PlayerVersion.Version version = playerVersion.getVersion(myPlayer/* Player */);
     
    Javadocs


    Depends on PacketListenerAPI


    Maven
    Code (XML):

    <repositories>
        <repository>
            <id>inventive-repo</id>
            <url>https://repo.inventivetalent.org/content/groups/public/</url>
        </repository>
    </repositories>
    <dependencies>
        <dependency>
            <groupId>org.inventivetalent</groupId>
            <artifactId>playerversion</artifactId>
            <version>1.2.3</version>
        </dependency>
    </dependencies>
     

    APIManager
    This API is compatible with APIManager.
    Click here for information on how to implement it.




    Links

    Code (spiget-meta (Unknown Language)):
    SlZOd2EkUm9kI1J3YW1GeUooVWtXa2QzZFdGPk4rSmFWelV3WVZoYWJHUiNSbk5hVnpVdytHMDVlVnAzUCswa0okUk1NMEp6WkZka2NHSnBPRDBrSiRSalIzZypXakpzZFZ7V1FuTlpXRypzWTIqYWJHTnUrbntpTWpSdFpHMVdlV015YiNaaWFqe3NaRzFXZVdNeWIjWmlhVlU5SkVkbGQoVT0=
    TomCreeper, DeadMaster, Yuhiy and 4 others like this.

Recent Updates

  1. 1.11 support
  2. Fix
  3. ReflectionHelper update

Recent Reviews

  1. KNightmareBR
    KNightmareBR
    5/5,
    Version: 1.3.0-SNAPSHOT
    Very usefull for a network with server in multiple versions, you could place on the server selector if the version isn't compatible!(new idea for my LobbyEssentials!)
  2. Aero
    Aero
    5/5,
    Version: 1.0.0
    Very useful tool! It will help greatly with my upcoming server. Thanks again for this plugin man! 5 stars.